
Name:		clementine
Version:	1.0.0
Release:	%mkrel 1
Source0:	http://clementine-player.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	Clementine.conf
Patch0:		clementine-0.6-use-default-language.patch
License:	GPLv3
Group:		Sound 
URL:		http://www.clementine-player.org/
Summary:	A cross-platform music player based on Amarok 1.4

BuildRequires:	qt4-devel >= 4.5.0
BuildRequires:	cmake
BuildRequires:	taglib-devel >= 1.6
BuildRequires:	liblastfm-devel >= 0.3.3
BuildRequires:	libboost-devel
BuildRequires:	qt4-linguist
BuildRequires:	gstreamer0.10-devel
BuildRequires:	glew-devel
BuildRequires:	libmtp-devel
BuildRequires:	usbmuxd-devel
BuildRequires:	libplist-devel
BuildRequires:	libimobiledevice-devel
BuildRequires:	libindicate-qt-devel
BuildRequires:	echonest-devel
BuildRequires:	libgpod-devel >= 0.7.92

Requires:	libprojectm-data
Requires:	qt4-database-plugin-sqlite
Requires:	gstreamer0.10-flac
Requires:	gstreamer0.10-plugins-ugly

Suggests:	gstreamer0.10-decoders-audio
# Needed to be able to mount ipod/iphone/ipad (not tested locally) but it's also pulling gvfs
# which is need at least to mount mtp devices (tested locally)
Suggests:	gvfs-iphone

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4. 
Features:
	* Search and play your local music library
	* Listen to internet radio from Last.fm, SomaFM and Magnatune
	* Tabbed playlists, import and export M3U, XSPF, PLS and ASX
	* Visualisations from projectM
	* Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
	* Edit tags on MP3 and OGG files, organise your music
	* Download missing album cover art from Last.fm
	* Remote control using a Wii Remote, MPRIS or the command-line
	* Copy music to your iPod, iPhone, MTP or mass-storage USB player
	* Queue manage


%prep
%setup -q
%apply_patches

%build
%cmake_qt4 -DBUNDLE_PROJECTM_PRESETS=OFF 
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

install -m 644 -D %{_sourcedir}/Clementine.conf \
%{buildroot}%{_sysconfdir}/Clementine/Clementine.conf


%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%_bindir/clementine
%_datadir/applications/clementine.desktop
%_iconsdir/hicolor/64x64/apps/application-x-clementine.png
%_iconsdir/hicolor/scalable/apps/application-x-clementine.svg
%config %{_sysconfdir}/Clementine/Clementine.conf

%changelog
* Sat Jan 07 2012 Jens Ornot <rpm@mandrivauser.de> 1.0.0-1mud2010.2
- backported for Mandrivalinux 2010.2

* Sat Apr 02 2011 Doktor5000 <rpm@mandrivauser.de> 0.7.1-1mud2010.2
- backported for Mandrivalinux 2010.2

* Fri Apr 01 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.7.1-2
+ Revision: 649734
- Silent: add Source1 line on spec
- Added a default config File
  Dropped mkrel

* Fri Apr 01 2011 Funda Wang <fwang@mandriva.org> 0.7.1-1
+ Revision: 649539
- use system echonest
- revolk and rediff the patches
- new version 0.7.1

  + Sergey Zhemoitel <serg@mandriva.org>
    - update new release

* Mon Mar 14 2011 John Balcaen <mikala@mandriva.org> 0.6-8
+ Revision: 644642
- Don't require libraries (especially when only i586 are required :p on x86_64)

* Wed Mar 09 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-7
+ Revision: 643141
- *Improvements on Brazilian portuguese translation
  *Use a larguer sidebar to avoid text cutting on add folders left text

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.6-6
+ Revision: 640329
- rebuild to obsolete old packages

* Tue Feb 15 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-5
+ Revision: 637849
- * Added some requires from the Main media to better playback support.
  * gstreamer-decoders-audio still a suggest, so on a manual instalation
  all the codecs still will be pushed.

* Wed Feb 02 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-4
+ Revision: 635353
- *Added patch to make clementine use system language
- Added a patch to give a more polished playlist on the first run

* Tue Feb 01 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-3
+ Revision: 634892
- Added patch to use PlainSidebar instead the bluish one, on the playlist

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.6-2
+ Revision: 634417
- BR indicate

* Sun Dec 12 2010 John Balcaen <mikala@mandriva.org> 0.6-1mdv2011.0
+ Revision: 620601
- Add missing buildrequires
- Remove unused files
- Update to 0.6

* Thu Sep 30 2010 John Balcaen <mikala@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 582170
- Update to 0.5.3

* Mon Sep 20 2010 John Balcaen <mikala@mandriva.org> 0.5-1mdv2011.0
+ Revision: 579908
- Update to 0.5
- drop patch (merged upstream)
- add BR for libmtp-devel & libgpod-devel (mtp & ipod/iphone support)
- add suggests for gvfs-iphone (needed to detect iphone/ipod but also mtp device)
- update description
- Update URL
- Add patch3 to fix visualisation when using another locale then english

* Sun Aug 08 2010 John Balcaen <mikala@mandriva.org> 0.4.2-3mdv2011.0
+ Revision: 567630
- Add patch0 from upstream to fix a crash when expanding lastfm
- Add patch1 from upstream (fix debug symbol)
- Add -DBUNDLE_PROJECTM_PRESETS=O & add a requires on libprojectm-data for projectm-preset

* Mon Jul 26 2010 John Balcaen <mikala@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 560890
- Restore use of make -j 4 (%%make seems to failed)
- Remove -DQT_PHONON_INCLUDE_DIR=%%_includedir with %%cmake (fix upstream)
- Add qt4-database-plugin-sqlite  as require (needed for the library)

  + Funda Wang <fwang@mandriva.org>
    - New version 0.4.2

* Fri May 07 2010 John Balcaen <mikala@mandriva.org> 0.3-1mdv2010.1
+ Revision: 543186
- Update to 0.3 final

* Mon May 03 2010 John Balcaen <mikala@mandriva.org> 0.3-0.rc1.2mdv2010.1
+ Revision: 541833
- Enforce use of make -j 4 (thks to misc)
- bump release
- Correct %%release tag
- Update to 0.3rc1
- remove libnotify-devel BR

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.787mdv2010.1
+ Revision: 539860
- Update to revision 787
- Update to revision 774
- use -DQT_PHONON_INCLUDE_DIR= with %%cmake_qt4 macro (thks neoclust)

* Fri Apr 09 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.624mdv2010.1
+ Revision: 533308
- Update to revision 624 (gstreamer equalizer :D)
- add qt4-linguist as buildrequires

* Wed Apr 07 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.586mdv2010.1
+ Revision: 532433
- Update snapshot to svn 586
- add buildrequires for gstreamer-develi
- comment the vlc & xine buildrequires
- add suggests on gstreamer0.10-decoders-audio (disable xine-pulse one)

* Wed Mar 31 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.547mdv2010.1
+ Revision: 530089
- Update to revision 547 from svn
- Update description

* Tue Mar 23 2010 John Balcaen <mikala@mandriva.org> 0.2-1mdv2010.1
+ Revision: 526913
- import clementine


